Thank you all subscribers! I love you guys!
Today I am going to share you my sample pack "Kawaii Sample Pack Vol.2"
Hope you guys like it, this pack is mainly for presets, also there is a bonus sample pack here!

This sample pack is download for free, you are not allowed to re-upload this or sell this to the others!

Enjoy!

JimVirslox
2022.7.19